.news-group {
    margin: 0 rem(-16);

    @media (min-width: $screen-md) {
        margin: 0;
    }
}

.news-primary {
    position: relative;
    margin: 0 rem(-16) rem(36) rem(-16);
    border-bottom: 1px solid #353535;

    &__media {

    }

    &__content {
        z-index: 10;
        position: relative;
        padding: rem(20) rem(20) rem(36) rem(20);
    }

    &__title {
        font-weight: 700;
        font-size: rem(24);
        line-height: normal;
        font-family: var(--font-secondary);

        a {
            color: var(--color-white);
            text-decoration: none;

            &:hover {
                color: var(--color-white);
                text-decoration: none;
            }
        }
    }

    &__date {
        color: var(--color-gray);
        font-weight: 500;
        font-size: rem(18);
        line-height: normal;
        margin-top: rem(12);
    }

    &__text {
        color: #cfcfcf;
        font-size: rem(12);
        line-height: 180%;
        margin-top: rem(24);
    }

    &__button {
        margin-top: rem(24);

        .btn {
            width: 100%;
        }
    }

    @media (min-width: $screen-md) {
        padding: rem(36) 0;
        margin: 0 0 rem(36) 0;

        &__title {
            font-size: rem(33);
        }

        &__text {
            font-size: rem(14);
            max-width: rem(600);
        }

        &__button {

            .btn {
                width: auto;
            }
        }
    }

    @media (min-width: $screen-xl) {
        padding: 0;
        min-height: rem(554);
        margin-bottom: rem(78);
        border: 1px solid #424242;
        display: flex;

        &__media {
            position: relative;
            min-height: rem(552);
            width: rem(680);
            flex-shrink: 0;

            &:before {
                top: 0;
                left: 0;
                bottom: 0;
                z-index: 5;
                content: '';
                width: 100%;
                position: absolute;
                background: linear-gradient(270deg, #080808 0%, rgba(29, 30, 32, 0.00) 100%);
            }
        }

        &__content {
            display: flex;
            flex-direction: column;
        }

        &__text {
            font-size: rem(16);
            max-width: rem(490);
        }

        &__wrap {
            margin: auto 0;
        }
    }

    @media (min-width: $screen-xxl) {

        &__media {
            width: rem(822);
        }
    }
}

.news-block {
    margin-bottom: rem(36);
    border-bottom: 1px solid #353535;
    padding-bottom: rem(36);

    &__header {
        font-weight: 700;
        font-size: rem(28);
        line-height: normal;
        margin-bottom: rem(31);
        text-transform: uppercase;
        color: var(--color-white);
        font-family: var(--font-secondary);
    }

    &__slider {
        margin: 0 rem(-16);
    }

    &--last {
        margin-bottom: 0;
        padding-bottom: 0;
        border-bottom: none;
    }

    &__grid {
        display: grid;
        grid-row-gap: rem(24);
        grid-column-gap: rem(24);
        grid-template-columns: 1fr;
    }

    &__nav {
        display: none;
    }

    @media (min-width: $screen-md) {
        margin-bottom: rem(40);
        padding-bottom: 0;
        border-bottom: none;

        &__slider {
            margin: 0 -20px;

            [data-news] {
                padding: 0 rem(20);
            }

            [data-news-pagination] {
                display: none;
            }
        }

        &__nav {
            top: calc(50% - 28px);
            z-index: 50;
            display: block;
            position: absolute;

            &--next {
                right: 0;
            }

            &--prev {
                left: 0;
            }
        }

        &--last {
            margin-bottom: 0;
            padding-bottom: 0;
            border-bottom: none;
        }
    }

    @media (min-width: $screen-lg) {
        grid-template-columns: 1fr 1fr;
    }

    @media (min-width: $screen-xl) {
        padding-bottom: 0;
        border-bottom: 0;
        margin-bottom: rem(78);

        &__slider {
            margin: 0 -28px;

            [data-news] {
                padding: 0 rem(28);
            }
        }

        &--last {
            margin-bottom: 0;
            padding-bottom: 0;
            border-bottom: none;
        }

        &__grid {
            grid-template-columns: 1fr 1fr;
        }
    }
}

.news-basic {
    display: block;
    padding: rem(24);
    overflow: hidden;
    position: relative;
    text-decoration: none;
    color: var(--color-white);
    border: 1px solid #424242;

    &:hover {
        text-decoration: none;
        color: var(--color-white);
    }

    &__title {
        display: block;
        font-weight: 700;
        font-size: rem(24);
        line-height: normal;
        font-family: var(--font-secondary);
    }

    &__date {
        display: block;
        color: var(--color-gray);
        font-weight: 500;
        font-size: rem(14);
        line-height: normal;
        margin-top: rem(11);
    }

    &__text {
        display: block;
        font-size: rem(12);
        line-height: 180%;
        margin-top: rem(11);
    }

    @include media-breakpoint-up(md) {
        padding: rem(38) rem(50);

        &__text {
            font-size: rem(16);
        }
    }

    @include media-breakpoint-up(xl) {

        &__title {
            margin-bottom: rem(46);
        }
    }
}

.news-item {
    display: block;
    position: relative;
    text-decoration: none;
    color: var(--color-white);

    &:hover {
        text-decoration: none;
        color: var(--color-white);
    }

    &__content {
        padding: rem(30) rem(20);
    }

    &__title {
        display: inline-block;
        font-weight: 700;
        font-size: rem(24);
        line-height: normal;
        text-decoration: none;
        font-family: var(--font-secondary);
    }

    &__date {
        display: block;
        color: var(--color-gray);
        font-weight: 500;
        font-size: rem(14);
        line-height: normal;
        margin-top: rem(11);
    }

    &__text {
        display: block;
        font-size: rem(12);
        line-height: 180%;
        margin-top: rem(11);
    }

    &__media {
        position: relative;
    }

    @media (min-width: $screen-md) {

        &__content {
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 20;
            position: absolute;
            padding: rem(50) rem(60);
            background: linear-gradient(180deg, rgba(0, 0, 0, 0.00) 0%, rgba(0, 0, 0, 0.83) 100%);
        }

        &__title {
            font-size: rem(26);
        }

        &__text {
            font-size: rem(16);
            max-width: rem(490);
        }
    }

    @media (min-width: $screen-xl) {

        &__title {
            border-bottom: 1px solid transparent;
        }

        &:before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            content: '';
            z-index: 10;
            background: rgba(0,0,0,0.3);
            position: absolute;
            opacity: 0;
            transition: .3s;
        }

        &:hover {

            &:before {
                opacity: 10;

                visibility: visible;
                transition: .25s;
            }

            .news-item {

                &__title {
                    border-bottom: 1px solid #fff;
                }
            }
        }
    }
}
